# Get all features in a project GET https://app.unleash-instance.example.com/api/admin/projects/{projectId}/features A list of all features for the specified project. Reference: https://docs.getunleash.io/api/get-features ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get all features in a project version: endpoint_features.getFeatures paths: /api/admin/projects/{projectId}/features: get: operationId: get-features summary: Get all features in a project description: A list of all features for the specified project. tags: - - subpackage_features parameters: - name: projectId in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: projectFeaturesSchema content: application/json: schema: $ref: '#/components/schemas/projectFeaturesSchema' '400': description: The request data does not match what we expect. content: {} '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} components: schemas: projectFeatureEnvironmentSchema: type: object properties: name: type: string description: The name of the environment type: type: string description: The type of the environment enabled: type: boolean description: >- `true` if the feature is enabled for the environment, otherwise `false`. sortOrder: type: number format: double description: >- The sort order of the feature environment in the feature environments list variantCount: type: number format: double description: The number of defined variants lastSeenAt: type: - string - 'null' format: date-time description: >- The date when metrics where last collected for the feature environment hasStrategies: type: boolean description: Whether the feature has any strategies defined. hasEnabledStrategies: type: boolean description: Whether the feature has any enabled strategies defined. required: - name - type - enabled - sortOrder - variantCount - lastSeenAt tagSchema: type: object properties: value: type: string description: The value of the tag. type: type: string description: >- The [type](https://docs.getunleash.io/concepts/feature-flags#tags) of the tag color: type: - string - 'null' description: The hexadecimal color code for the tag type. required: - value - type projectFeatureSchema: type: object properties: name: type: string description: Unique feature name type: type: string description: >- Type of the flag e.g. experiment, kill-switch, release, operational, permission description: type: - string - 'null' description: Detailed description of the feature stale: type: boolean description: >- `true` if the feature is stale based on the age and feature type, otherwise `false`. favorite: type: boolean description: '`true` if the feature was favorited, otherwise `false`.' impressionData: type: boolean description: >- `true` if the impression data collection is enabled for the feature, otherwise `false`. createdAt: type: string format: date-time description: The date the feature was created lastSeenAt: type: - string - 'null' format: date-time description: >- The date and time when metrics where last collected for this flag in any environment. This field was deprecated in v5. You should instead use the `lastSeenAt` property on the individual environments listed under the `environments` property. environments: type: array items: $ref: '#/components/schemas/projectFeatureEnvironmentSchema' description: The list of environments where the feature can be used tags: type: - array - 'null' items: $ref: '#/components/schemas/tagSchema' description: The list of feature tags required: - name - type - description - stale - favorite - impressionData - createdAt - lastSeenAt - environments projectFeaturesSchema: type: object properties: version: type: integer description: The version of the feature's schema features: type: array items: $ref: '#/components/schemas/projectFeatureSchema' description: A list of features required: - version - features ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/features" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/features'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/features" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/features") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects/projectId/features") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/features', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/features"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/features")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```